@use '../../../../styles/helpers/breakpoints';

@use 'sass:map';

@mixin manga-stat {
  display: flex;
  align-items: center;
  column-gap: 2px;

  font: var(--mat-sys-body-medium);

  @include breakpoints.sm {
    font: var(--mat-sys-body-large);
  }

  > mat-icon {
    width: 14px;
    height: 14px;
    font-size: 14px;
  }
}

.manga-stats {
  display: flex;
  column-gap: 0.5rem;

  &__stars {
    color: #f57f17;
    @include manga-stat();
  }

  &__follows {
    @include manga-stat();
  }

  &__comments {
    @include manga-stat();
  }
}
